import { EventEmitter } from '@angular/core';
import { SecretVO } from '../../../vo/secret.vo';
export declare class IdentityApiResourceUpdateSecretComponent {
    visible: boolean;
    visibleChange: EventEmitter<boolean>;
    apiResourceName: string;
    secrets: Array<SecretVO>;
    secretsFetching: boolean;
    identityApiResourceUpdateSecretCreateComponentProp: {
        visible: boolean;
    };
    fetchSecrets(): void;
    deleteSecret(item: SecretVO): void;
    openIdentityApiResourceUpdateSecretCreateComponent(): void;
    handleIdentityApiResourceUpdateSecretCreateComponentOk(): void;
    handleCancel(): void;
    handleAfterOpen(): void;
}
